# Generated from SnowWeather-1.0.7.gem by gem2rpm -*- rpm-spec -*-
%global gem_name SnowWeather

Name: rubygem-%{gem_name}
Version: 1.0.7
Release: 1%{?dist}
Summary: Simple weather gem to interact with the Weather Undergound Api
License: MIT
URL: https://github.com/Jrsnow8921/SnowWeatherGem.git
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec)
# BuildRequires: rubygem(rest-client) >= 1.8.0
# BuildRequires: rubygem(em-resolv-replace) >= 1.1.3
# BuildRequires: rubygem(eventmachine) >= 1.0.7
BuildArch: noarch

%description
Simple weather gem to interact with the Weather Undergound Api.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml
%{gem_instdir}/CODE_OF_CONDUCT.md
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_libdir}
%{gem_instdir}/t_build.sh
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%doc %{gem_instdir}/README.md.save
%{gem_instdir}/Rakefile
%{gem_instdir}/SnowWeather.gemspec

%changelog
* Wed Aug 25 2021 mockbuilder - 1.0.7-1
- Initial package
